package com.adealink.weparty.module.order

import androidx.lifecycle.ViewModelStoreOwner
import com.adealink.frame.base.Rlt
import com.adealink.weparty.aab.IService
import com.adealink.weparty.module.order.data.OrderDetailInfo
import com.adealink.weparty.module.order.data.OrderDiscountInfo
import com.adealink.weparty.module.order.viewmodel.IOrderViewModel

interface IOrderService : IService<IOrderService> {
    fun getOrderViewModel(owner: ViewModelStoreOwner): IOrderViewModel?

    suspend fun queryUnCompleteOrder(uid: String): Rlt<List<OrderDetailInfo>>

    fun queryDiscountInfo()

    suspend fun suspendQueryDiscountInfo(): Rlt<Any>

    fun getDiscountInfo(): OrderDiscountInfo?

}